

export SPARK_MASTER_HOST=gchead
export SPARK_MASTER_URL=spark://$SPARK_MASTER_HOST:7077
export SPARK_SLAVE_HOSTS="gc0 gc1 gc2 gc3 gc4 gc5 gc6 gc7 gc8 gc9"

export ZOOKEEPER_SERVER=gchead:2181
export SOLR_NODES="gc0:8983 gc1:8983 gc2:8983 gc3:8983 gc4:8983 gc5:8983 gc6:8983 gc7:8983 gc8:8983 gc9:8983"

export HTRC_EF_PACKAGE_HOME=`pwd`

echo ""
echo "****"

export JAVA_HOME="$HTRC_EF_PACKAGE_HOME/jdk1.8.0"
export PATH="$JAVA_HOME/bin:$PATH"
echo "* Added in JDK 1.8 into PATH"

source SETUP/setup-spark.bash

source SETUP/setup-zookeeper.bash 
source SETUP/setup-solr.bash


export PATH="$HTRC_EF_PACKAGE_HOME/SCRIPTS:$PATH"
echo "* Added in HTRC EF PACKAGE remote scripting into PATH"

spark_conf_slaves="$SPARK_HOME/conf/slaves" 
if [ ! -f "$spark_conf_slaves" ] ; then
  echo "****"
  echo "* Populatig $spark_conf_slaves" 
  echo "* With: $SPARK_SLAVE_HOSTS"
  echo "****"
  for s in $SPARK_SLAVE_HOSTS ; do
    echo $s >> "$spark_conf_slaves"
  done
else
  slaves=`cat "$spark_conf_slaves" | tr '\n' ' '`
  echo "****"
  echo "* Solr slaves: $slaves"
  echo "****"
fi

echo "****"
echo ""
